
Base Language - Feature #1598

Feature # 1596 (Closed): complete big decimal implementation

shift LOG implementation (MathOps.log()) to BigDecimal

10/19/2012 08:11 AM - Greg Shah

Status: Closed Start date: 01/27/2014

Priority: Normal Due date: 01/29/2014

Assignee: Hynek Cihlar % Done: 100%

Category:  Estimated time: 6.00 hours

Target version: Cleanup and Stablization for Server

Features

  

billable: No vendor_id: GCD

Description

History

#1 - 10/31/2012 01:50 PM - Greg Shah

- Target version set to Milestone 7

#2 - 04/25/2013 10:59 AM - Greg Shah

- Target version changed from Milestone 7 to Milestone 11

#3 - 05/03/2013 10:04 AM - Greg Shah

- Start date changed from 10/19/2012 to 08/07/2013

- Due date set to 08/07/2013

- Assignee set to Ovidiu Maxiniuc

#4 - 01/21/2014 01:31 PM - Greg Shah

- Start date changed from 08/07/2013 to 01/27/2014

- Due date changed from 08/07/2013 to 01/29/2014

- Assignee changed from Ovidiu Maxiniuc to Hynek Cihlar

#5 - 02/03/2014 04:44 PM - Hynek Cihlar

- Status changed from New to WIP

#6 - 02/12/2014 04:33 PM - Hynek Cihlar

- File hc_upd20140212a.zip added

The attached file contains log function implementation and related changes for review.

The implemented log function yields the same outputs as the Progress native log function. The only exception is the logarithm of 1 to base 1. In this

case Progress returns zero instead of the expected unknown value.

Testcases committed in the file testcases/uast/math/log.p.

#7 - 02/12/2014 06:27 PM - Greg Shah

Code Review 0212a
It looks pretty good.  Fix these minor issues and get it tested:

1. I'd prefer to add an abstract NumberType.toBigDecimal() instead of adding a static helper to Utils. The sub-classes can implement the non-lossy

implementation directly.

2. MathOps copyright end year needs to be update to 2014.

#8 - 02/14/2014 07:13 AM - Hynek Cihlar

- File hc_upd20140214a.zip added

Introduced toBigDecimal abstract method in NumberType and fixed the file headers. The code changes passed regression testing.

Please, review.

#9 - 02/14/2014 05:47 PM - Greg Shah

Code Review 0214a

The changes look good.  You can check them in and distribute them.

#10 - 02/15/2014 07:32 AM - Hynek Cihlar

Committed to bzr revision 10466.

#11 - 02/15/2014 08:56 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Closed

#12 - 11/16/2016 12:07 PM - Greg Shah

- Target version changed from Milestone 11 to Cleanup and Stablization for Server Features

Files

hc_upd20140212a.zip 29.2 KB 02/12/2014 Hynek Cihlar

hc_upd20140214a.zip 59.2 KB 02/14/2014 Hynek Cihlar
